/*
 *  IBM Confidential
 *  OCO Source Materials
 *
 *  (C) Copyright IBM Corp. 2005
 *
 *  The source code for this program is not published or otherwise divested
 *  of its trade secrets, irrespective of what has been deposited with the
 *  U.S. Copyright Office.
 *
 *
 */
package com.ibm.wtci.samples.axis.source;

import java.io.IOException;

import javax.xml.namespace.QName;

import org.apache.axis.encoding.SerializationContext;
import org.apache.axis.encoding.Serializer;
import org.apache.axis.wsdl.fromJava.Types;
import org.eclipse.hyades.logging.events.cbe.CommonBaseEvent;
import org.eclipse.hyades.logging.events.cbe.util.EventFormatter;
import org.w3c.dom.Element;
import org.xml.sax.Attributes;

/**
 * This class serializes objects of type CommonBaseEvent
 */
public class CbeSerializer implements Serializer, java.io.Serializable {

	public CbeSerializer() {
		super();
	}

	/*
	 * This method serializes object of type CommonBaseEvent
	 * 
	 * @see org.apache.axis.encoding.Serializer#serialize(javax.xml.namespace.QName,
	 *      org.xml.sax.Attributes, java.lang.Object,
	 *      org.apache.axis.encoding.SerializationContext)
	 */
	public void serialize(QName name, Attributes attributes, Object value,
			SerializationContext context) throws IOException {
			context.startElement(name,attributes);
			context.writeString(EventFormatter.toCanonicalXMLString((CommonBaseEvent)value));
			context.endElement();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.apache.axis.encoding.Serializer#writeSchema(java.lang.Class,
	 *      org.apache.axis.wsdl.fromJava.Types)
	 */
	public Element writeSchema(java.lang.Class javaType, Types types)
			throws Exception {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see javax.xml.rpc.encoding.Serializer#getMechanismType()
	 */
	public String getMechanismType() {
		return null;
	}

}
